summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@lukeshu.com>2023-02-12 11:28:37 -0700
committerLuke Shumaker <lukeshu@lukeshu.com>2023-02-12 14:21:17 -0700
commit2cb3cb14dd85535a0a691d42874d7045d7c81571 (patch)
treec8a76ec46c6fa5620c6296d1f95afa379a149506 /scripts
parent50a0d3819bb5141d0068907a3272bbd1975bcfd7 (diff)
scripts/diff-dump-tree.sh: Learn how to run ./autogen.sh and ./configure
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/diff-dump-tree.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/scripts/diff-dump-tree.sh b/scripts/diff-dump-tree.sh
index aa9c2a9..42a3ec0 100755
--- a/scripts/diff-dump-tree.sh
+++ b/scripts/diff-dump-tree.sh
@@ -1,5 +1,17 @@
#!/bin/bash
-make -C ../btrfs-progs
+set -e
+(
+ cd ../btrfs-progs
+ if ! test -f configure; then
+ ./autogen.sh
+ fi
+ if ! test -f config.status; then
+ ./configure \
+ --disable-documentation \
+ --enable-experimental
+ fi
+ make
+)
diff -u \
<(../btrfs-progs/btrfs inspect dump-tree --noscan --csum-items ../scratch/new.img | sed -e 's/ UNKNOWN.0 / UNTYPED /g' -e 's/\b18446744073709551615\b/-1/g') \
<(go run ./cmd/btrfs-rec/ inspect dump-trees --pv=../scratch/new.img)